For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
      • GETReturns the information for all your created SMS campaigns
      • POSTCreates an SMS campaign
      • GETGet an SMS campaign
      • PUTUpdate an SMS campaign
      • DELDelete an SMS campaign
      • POSTSend your SMS campaign immediately
      • PUTUpdate a campaign's status
      • POSTSend a test SMS campaign
      • POSTExport an SMS campaign's recipients
      • POSTSend an SMS campaign's report
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Marketing CampaignsSMS Campaigns

Send an SMS campaign's report

POST
https://api.brevo.com/v3/smsCampaigns/:campaignId/sendReport
POST
/v3/smsCampaigns/:campaignId/sendReport
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.smsCampaigns.sendSmsReport(1, {
8 body: {
9 email: {
10 body: "Please find attached the report of our last email campaign.",
11 to: [
12 "jim.suehan@example.com",
13 ],
14 },
15 },
16 });
17}
18main();
Send report of Sent and Archived campaign, to the specified email addresses, with respective data and a pdf attachment in detail.
Was this page helpful?
Previous

Get a WhatsApp campaign

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

campaignIdlongRequired
id of the campaign

Request

Values for send a report
emailobjectRequired
Custom attributes for the report email.
languageenumOptionalDefaults to fr
Language of email content for campaign report sending.

Response

Report has been successfully sent to the defined recipients

Errors

400
Bad Request Error
404
Not Found Error